Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.util
Class DOMEntityResolverWrapper

    java.lang.Object
      weblogic.apache.xerces.util.DOMEntityResolverWrapper

All Implemented Interfaces:
  XMLEntityResolver

Deprecated. please use JDK supplied XML parsers and transformers

public class DOMEntityResolverWrapper
extends Object
implements XMLEntityResolver

This class wraps DOM entity resolver to XNI entity resolver.

See Also:
  `DOMEntityResolver`

Field Summary
`protected DOMEntityResolver` | `fEntityResolver` Deprecated. The DOM entity resolver.

Constructor Summary
`DOMEntityResolverWrapper()` Deprecated. Default constructor.
`DOMEntityResolverWrapper(DOMEntityResolver entityResolver)` Deprecated. Wraps the specified DOM entity resolver.

Method Summary
`DOMEntityResolver` | `getEntityResolver()` Deprecated. Returns the DOM entity resolver.
`XMLInputSource` | `resolveEntity(XMLResourceIdentifier resourceIdentifier)` Deprecated. Resolves an external parsed entity.
`void` | `setEntityResolver(DOMEntityResolver entityResolver)` Deprecated. Sets the DOM entity resolver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fEntityResolver

    protected DOMEntityResolver fEntityResolver

  Deprecated.
  The DOM entity resolver.

Constructor Detail

### DOMEntityResolverWrapper

    public DOMEntityResolverWrapper()

  Deprecated.
  Default constructor.

### DOMEntityResolverWrapper

    public DOMEntityResolverWrapper(DOMEntityResolver entityResolver)

  Deprecated.
  Wraps the specified DOM entity resolver.

Method Detail

### getEntityResolver

    public DOMEntityResolver getEntityResolver()

  Deprecated.
  Returns the DOM entity resolver.

### resolveEntity

    public XMLInputSource resolveEntity(XMLResourceIdentifier resourceIdentifier)
                                 throws XNIException,
                                        IOException

  Deprecated.
  Resolves an external parsed entity. If the entity cannot be resolved, this method should return null.

  Specified by:
    `resolveEntity` in interface `XMLEntityResolver`
  Parameters:
    `resourceIdentifier` - description of the resource to be revsoved
  Throws:
    `XNIException` - Thrown on general error.
    `IOException` - Thrown if resolved entity stream cannot be opened or some other i/o error occurs.
  See Also:
    `XMLResourceIdentifier`

### setEntityResolver

    public void setEntityResolver(DOMEntityResolver entityResolver)

  Deprecated.
  Sets the DOM entity resolver.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD